%define translation_ver 2013.11.26
%define version         5.5.0

Name:           mintmenu
Version:        %{version}
Release:        %mkrel 2
License:        GPLv2
Summary:        Advanced Mate menu
Group:          Graphical desktop/MATE
URL:            https://launchpad.net/mintmenu
BuildArch:      noarch
Source0:        http://packages.linuxmint.com/pool/main/m/mintmenu/%{name}_%{version}.tar.gz
Source1:        http://packages.linuxmint.com/pool/main/m/mint-translations/mint-translations_%{translation_ver}.tar.gz

# Add shebangs for style
Patch0:         mintmenu-5.4.9-mga-add_sebangs.patch
# Rpmdrake launcher
Patch1:         mintmenu-5.5.0-drakxtools.patch
# move from /usr/lib to /usr/share
Patch2:         mintmenu-5.5.0-mga-migrate-to-datadir.patch
# fix run as superuser
Patch3:         mintmenu-5.5.0-mga-run_as_superuser.patch
# We don't need apt as a rpm based system.
Patch4:         mintmenu-5.4.9-mga-remove_apt_cache.patch
# Change locale directory to be IAW FHS 2.3 para 4.11
Patch5:         mintmenu-5.4.9-mga-fix_locale_dir.patch
# https://bugs.launchpad.net/linuxmint/+bug/826157
Patch6:         mintmenu-5.4.9-mga-fix_menu_crashing
# Remove uninstalling apps option, we do not use synaptic.
Patch7:         mintmenu-5.5.0-mga-remove-uninstall.patch
# Remove mint specific searches and install mageia one
Patch8:         mintmenu-5.5.0-mga-search-engines.patch

Requires:       mate-menu-editor
Requires:       mate-panel >= 1.6.0
Requires:       python < 3.0
Requires:       python >= 2.4
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade
Requires:       python-pyxdg
Requires:       python-xlib
Requires:       gksu-polkit
Requires:       mate-icon-theme

%description
An advanced "slab" style menu for Linux. MintMenu supports filtering,
favorites, auto-session, and many other features.

MintMenu can either be added to your mate-panel or
launched in its own window.

%prep
%setup -q -n mintmenu -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build

%install
#clean out questionably liscensed files.
rm -rf %{buildroot}%{_prefix}/lib/linuxmint/mintMenu/mint*.png
rm -rf %{buildroot}%{_prefix}/lib/linuxmint/mintMenu/mint*.svg
find . -name '*.orig' -exec rm -f {} ';'
find . -name '*.pyc' -exec rm -f {} ';'
find . -name '*.pot' -exec rm -f {} ';'
find . -name '*~' -exec rm -f {} ';'
find mint-translations-%{translation_ver}/ -not -name 'mintmenu.mo' -type f -exec rm -f {} ';'

install -d -p %{buildroot}%{_bindir}/
install -m 755 -p usr/bin/mintmenu %{buildroot}%{_bindir}/mintmenu
install -d -p %{buildroot}%{_datadir}/mintMenu
install -m 644 -p usr/lib/linuxmint/mintMenu/*.* %{buildroot}%{_datadir}/mintMenu/
rm -rf %{buildroot}%{_datadir}/mintMenu/*.py
rm -rf %{buildroot}%{_datadir}/mintMenu/*.orig
install -m 755 -p usr/lib/linuxmint/mintMenu/*.py %{buildroot}%{_datadir}/mintMenu/
install -d -p %{buildroot}%{_datadir}/mintMenu/plugins
install -m 644 -p usr/lib/linuxmint/mintMenu/plugins/* %{buildroot}%{_datadir}/mintMenu/plugins/
install -m 755 -p usr/lib/linuxmint/mintMenu/plugins/*.py %{buildroot}%{_datadir}/mintMenu/plugins/
install -d -p %{buildroot}%{_datadir}/mintMenu/search_engines
install -m 644 -p usr/lib/linuxmint/mintMenu/search_engines/* %{buildroot}%{_datadir}/mintMenu/search_engines/

install -d -p %{buildroot}%{_datadir}/dbus-1/services
install -m 755 -p usr/share/dbus-1/services/* %{buildroot}%{_datadir}/dbus-1/services/

install -d -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 644 -p usr/share/glib-2.0/schemas/* %{buildroot}%{_datadir}/glib-2.0/schemas/

install -d -p %{buildroot}%{_datadir}/mate-panel/applets/
install -m 644 -p usr/share/mate-panel/applets/* %{buildroot}%{_datadir}/mate-panel/applets/

cp -r mint-translations-%{translation_ver}/usr/share/linuxmint/* %{buildroot}%{_datadir}/
chmod -R u+rw,g-w,g+r,o+r,o-w %{buildroot}%{_datadir}/locale/*

%{find_lang} %{name} --all-name

%files  -f %{name}.lang
%{_bindir}/mintmenu
%dir %{_datadir}/mintMenu
%{_datadir}/mintMenu/*.*
%{_datadir}/mintMenu/plugins/
%{_datadir}/mintMenu/search_engines/*
%dir %{_datadir}/glib-2.0/schemas/
%{_datadir}/glib-2.0/schemas/*
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/*
%dir %{_datadir}/dbus-1/services/
%{_datadir}/dbus-1/services/*



%changelog
* Fri Dec 13 2013 tarakbumba <tarakbumba> 5.5.0-2.mga4
+ Revision: 556532
- Rediff and rename draktools patches

* Fri Nov 29 2013 tarakbumba <tarakbumba> 5.5.0-1.mga4
+ Revision: 554021
- Update to new version
- imported package mintmenu

